Skip to main content
GET
/
2026-01
/
retail-media
/
balances
/
{balanceId}
/
history
/2026-01/retail-media/balances/{balanceId}/history
curl --request GET \
  --url https://api.criteo.com/2026-01/retail-media/balances/{balanceId}/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "changeDetails": {
        "changeValue": "<string>",
        "currentValue": "<string>",
        "previousValue": "<string>"
      },
      "dateOfModification": "2023-11-07T05:31:56Z",
      "modifiedByUser": "<string>",
      "memo": "<string>"
    }
  ],
  "meta": {
    "limit": 123,
    "offset": 123,
    "count": 123
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

balanceId
string
required

Balance id.

Query Parameters

limit
integer<int32>
default:25

The number of elements to be returned.

Required range: 1 <= x <= 100
limitToChangeTypes
string

Comma separated change types string that will be queried.

offset
integer<int32>
default:0

The (zero-based) starting offset in the collection.

Required range: 0 <= x <= 2147483647

Response

200 - application/json

Success

A wrapper class to return a single page of items with metadata for offset and limit based paging.

data
object[]
required
meta
object
required

Metadata related to the current request.